=== debian/watch ===
version=3

opts=\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ortp-$1\.tar\.gz/,\
  http://github.com/BelledonneCommunications/ortp/tags .*/v?(\d\S*)\.tar\.gz
