## ortp 4.4.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # CMakeLists.txt
-# Copyright (C) 2014  Belledonne Communications, Grenoble France
+# Copyright (C) 2010-2019  Belledonne Communications, Grenoble France
 #
 ############################################################################
 #
@@ -20,15 +20,16 @@
 #
 ############################################################################
 
-cmake_minimum_required(VERSION 3.0)
-project(oRTP VERSION 1.0.2)
+cmake_minimum_required(VERSION 3.1)
+project(oRTP VERSION 4.4.0)
 
 
 set(ORTP_MAJOR_VERSION ${PROJECT_VERSION_MAJOR})
 set(ORTP_MINOR_VERSION ${PROJECT_VERSION_MINOR})
 set(ORTP_MICRO_VERSION ${PROJECT_VERSION_PATCH})
 set(ORTP_VERSION ${PROJECT_VERSION})
-set(ORTP_SO_VERSION "13") # incremented on January 10, 2017
+set(ORTP_SO_VERSION "15") # incremented for 4.4.0 version.
+set(ORTP_DOC_VERSION "${ORTP_VERSION_MAJOR}.${ORTP_VERSION_MINOR}")
 
 
 option(ENABLE_SHARED "Build shared library." YES)
@@ -39,13 +40,15 @@
 option(ENABLE_STRICT "Build with strict compile options." YES)
 option(ENABLE_TESTS "Enable compilation of test programs." NO)
 option(ENABLE_DEBUG_LOGS "Turn on or off debug level logs." NO)
+option(ENABLE_PACKAGE_SOURCE "Create 'package_source' target for source archive making (CMake >= 3.11)" OFF)
 set(WITH_THREAD_STACK_SIZE "0" CACHE STRING "Set thread stack size (0 is the OS default).")
 
 
 include(CheckIncludeFile)
 include(CheckFunctionExists)
 include(GNUInstallDirs)
-
+include(CheckCSourceCompiles)
+include(CheckSymbolExists)
 
 if(NOT CMAKE_INSTALL_RPATH AND CMAKE_INSTALL_PREFIX)
 	set(CMAKE_INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR})
@@ -60,21 +63,25 @@
 find_package(Threads)
 find_library(LIBM NAMES m)
 
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	include("${EP_bctoolbox_CONFIG_DIR}/BcToolboxConfig.cmake")
-else()
-	find_package(BcToolbox 0.2.0 REQUIRED)
-endif()
-
-add_subdirectory(build)
+find_package(bctoolbox 0.2.0 REQUIRED)
 
 check_include_file(sys/uio.h HAVE_SYS_UIO_H)
 check_include_file(sys/audio.h HAVE_SYS_AUDIO_H)
 if(NOT ANDROID)
 	check_include_file(sys/shm.h HAVE_SYS_SHM_H)
 endif()
-check_include_file(stdatomic.h HAVE_STDATOMIC_H)
+check_c_source_compiles("#include <stdatomic.h>
+int main(int argc, char *argv[]) {
+atomic_int currrent_ref;
+atomic_init(&currrent_ref, 1);
+atomic_int previous_ref = atomic_fetch_sub_explicit(&currrent_ref, 1, memory_order_release);
+return 0;
+}"
+        HAVE_STDATOMIC_H)
+
 check_function_exists(arc4random HAVE_ARC4RANDOM)
+check_symbol_exists(recvmsg "sys/socket.h" HAVE_RECVMSG)
+check_symbol_exists(sendmsg "sys/socket.h" HAVE_SENDMSG)
 
 include(TestBigEndian)
 test_big_endian(WORDS_BIGENDIAN)
@@ -121,16 +128,22 @@
 set_source_files_properties(${CMAKE_CURRENT_BINARY_DIR}/ortp-config.h PROPERTIES GENERATED ON)
 add_definitions(-DHAVE_CONFIG_H)
 
+# Enable stdint.h limit macros on C++ files. (Windows only.)
+if(MSVC)
+	add_definitions("-D__STDC_LIMIT_MACROS")
+endif()
+
 set(STRICT_OPTIONS_CPP )
 set(STRICT_OPTIONS_C )
 if(MSVC)
 	if(ENABLE_STRICT)
 		list(APPEND STRICT_OPTIONS_CPP "/WX")
 	endif()
+    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
 else()
 	list(APPEND STRICT_OPTIONS_CPP "-Wall" "-Wuninitialized")
 	list(APPEND STRICT_OPTIONS_C "-Wdeclaration-after-statement" "-Wstrict-prototypes" "-Wno-error=strict-prototypes")
-	if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
+	if(CMAKE_C_COMPILER_ID MATCHES "Clang")
 		list(APPEND STRICT_OPTIONS_CPP "-Qunused-arguments" "-Wno-array-bounds")
 	endif()
 	if(APPLE)
@@ -147,13 +160,7 @@
 	list(REMOVE_DUPLICATES STRICT_OPTIONS_C)
 endif()
 
-
-if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
-	set(EXPORT_TARGETS_NAME "LinphoneBuilder")
-else()
-	set(EXPORT_TARGETS_NAME "ORTP")
-endif()
-
+set(EXPORT_TARGET_NAME ortp)
 
 add_subdirectory(include)
 add_subdirectory(src)
@@ -192,34 +199,42 @@
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/ortp.pc.in ${CMAKE_CURRENT_BINARY_DIR}/ortp.pc)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ortp.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
 
+if (ENABLE_PACKAGE_SOURCE)
+	add_subdirectory(build)
+endif()
+
 include(CMakePackageConfigHelpers)
+
+set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_LIBDIR}/cmake/${EXPORT_TARGET_NAME}")
+
 write_basic_package_version_file(
-	"${CMAKE_CURRENT_BINARY_DIR}/ORTPConfigVersion.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}ConfigVersion.cmake"
 	VERSION ${ORTP_VERSION}
 	COMPATIBILITY AnyNewerVersion
 )
-export(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE "${CMAKE_CURRENT_BINARY_DIR}/ORTPTargets.cmake"
-)
-configure_file(ORTPConfig.cmake.in
-	"${CMAKE_CURRENT_BINARY_DIR}/ORTPConfig.cmake"
-	@ONLY
-)
-
-set(CONFIG_PACKAGE_LOCATION "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/cmake")
-install(EXPORT ${EXPORT_TARGETS_NAME}Targets
-	FILE ORTPTargets.cmake
+export(EXPORT "${EXPORT_TARGET_NAME}Targets"
+	FILE "${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}Targets.cmake"
+)
+
+configure_package_config_file(ORTPConfig.cmake.in
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}Config.cmake"
+	INSTALL_DESTINATION ${CONFIG_PACKAGE_LOCATION}
+	NO_SET_AND_CHECK_MACRO
+)
+
+install(EXPORT ${EXPORT_TARGET_NAME}Targets
+	FILE "${EXPORT_TARGET_NAME}Targets.cmake"
 	DESTINATION ${CONFIG_PACKAGE_LOCATION}
 )
+
 install(FILES
-	"${CMAKE_CURRENT_BINARY_DIR}/ORTPConfig.cmake"
-	"${CMAKE_CURRENT_BINARY_DIR}/ORTPConfigVersion.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}Config.cmake"
+	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}ConfigVersion.cmake"
 	DESTINATION ${CONFIG_PACKAGE_LOCATION}
 )
 install(FILES 	"${CMAKE_CURRENT_SOURCE_DIR}/README.md" 
-	"${CMAKE_CURRENT_SOURCE_DIR}/ChangeLog" 
-	"${CMAKE_CURRENT_SOURCE_DIR}/COPYING" 
-	"${CMAKE_CURRENT_SOURCE_DIR}/AUTHORS" 
-	DESTINATION "${CMAKE_INSTALL_DATADIR}/doc/ortp-${ORTP_VERSION}")
-
-
+	"${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG.md" 
+	"${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.txt" 
+	"${CMAKE_CURRENT_SOURCE_DIR}/AUTHORS.md" 
+	DESTINATION "${CMAKE_INSTALL_DATADIR}/doc/ortp-${ORTP_DOC_VERSION}"
+)
