=== include/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	b64.h
 	event.h
 	logging.h
+	nack.h
 	ortp.h
 	payloadtype.h
 	port.h
