=== src/tests/CMakeLists.txt ===
--- 
+++ 
@@ -21,15 +21,15 @@
 ############################################################################
 
 if (NOT IOS)
-	set(EXECUTABLES rtpsend rtprecv mrtpsend mrtprecv test_timer tevrtpsend tevrtprecv rtpsend_stupid)
+	set(EXECUTABLES rtpsend rtprecv mrtpsend mrtprecv test_timer tevrtpsend tevrtprecv rtpsend_stupid rtpextensionheader)
 	foreach(executable ${EXECUTABLES})
 		bc_apply_compile_flags(${executable}.c STRICT_OPTIONS_CPP STRICT_OPTIONS_C)
 		add_executable(${executable} ${executable}.c)
-		target_link_libraries(${executable} ortp)
+		target_link_libraries(${executable} ortp ${BCTOOLBOX_CORE_LIBRARIES})
 	endforeach()
 
 	install(TARGETS ${EXECUTABLES}
-		RUNTIME DESTINATION bin
+                RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
 		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
 	)
 endif()
