=== debian/changelog ===
ortp (1:4.4.13-2ubuntu1) hirsute; urgency=medium

  * Fix build on ppc64el and s390x by lowering optimization level

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Dec 2020 12:23:17 +0100

ortp (1:4.4.13-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable.
  * Drop Daniel Gnoutcheff from Uploaders
  * Add myself to uploaders

 -- Bernhard Schmidt <berni@debian.org>  Fri, 25 Dec 2020 14:35:31 +0100

ortp (1:4.4.13-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.4.13
  * Change Vcs-* to linphone-stack subgroup

 -- Bernhard Schmidt <berni@debian.org>  Mon, 07 Dec 2020 11:10:55 +0100

ortp (1:4.4.0-1) experimental; urgency=medium

  * New upstream version 4.4.0
  * SONAME bump libortp14 -> libortp15, tighten build-dep on bctoolbox

 -- Bernhard Schmidt <berni@debian.org>  Tue, 01 Sep 2020 00:30:42 +0200

ortp (1:4.3.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 4.3.2
  * d/watch: Switch to upstream primary Gitlab, only use releases
  * SONAME bump libortp13 -> libortp14
  * Switch from symbols to shlibs, this is a tightly coupled library
    solely used in the Linphone stack
  * Adjust upstream paths
  * Bump to debhelper-compat 12
  * Update RFCs in package description (Closes: #856435)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 01 Jun 2020 23:10:38 +0200
