## ortp 5.1.64

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # CMakeLists.txt
-# Copyright (C) 2010-2019  Belledonne Communications, Grenoble France
+# Copyright (C) 2010-2021 Belledonne Communications, Grenoble France
 #
 ############################################################################
 #
@@ -21,7 +21,14 @@
 ############################################################################
 
 cmake_minimum_required(VERSION 3.1)
-project(oRTP VERSION 4.4.0)
+
+# CMP0077 policy is required by Flexisip build. Remove it once the CMake required
+# version is higer or equal to 3.13.
+if(NOT CMAKE_VERSION VERSION_LESS 3.13)
+    cmake_policy(SET CMP0077 NEW)
+endif()
+
+project(oRTP VERSION 5.1.0)
 
 
 set(ORTP_MAJOR_VERSION ${PROJECT_VERSION_MAJOR})
@@ -44,6 +51,10 @@
 set(WITH_THREAD_STACK_SIZE "0" CACHE STRING "Set thread stack size (0 is the OS default).")
 
 
+# Hidden non-cache options:
+# * DISABLE_BC_PACKAGE_SEARCH: skip find_package() for every BC package (bctoolbox, ortp, etc.)
+
+
 include(CheckIncludeFile)
 include(CheckFunctionExists)
 include(GNUInstallDirs)
@@ -63,7 +74,9 @@
 find_package(Threads)
 find_library(LIBM NAMES m)
 
-find_package(bctoolbox 0.2.0 REQUIRED)
+if(NOT DISABLE_BC_PACKAGE_SEARCH)
+	find_package(bctoolbox 0.2.0 REQUIRED)
+endif()
 
 check_include_file(sys/uio.h HAVE_SYS_UIO_H)
 check_include_file(sys/audio.h HAVE_SYS_AUDIO_H)
@@ -212,9 +225,11 @@
 	VERSION ${ORTP_VERSION}
 	COMPATIBILITY AnyNewerVersion
 )
-export(EXPORT "${EXPORT_TARGET_NAME}Targets"
-	FILE "${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}Targets.cmake"
-)
+if(LINPHONE_BUILDER_GROUP_EXTERNAL_SOURCE_PATH_BUILDERS)
+	export(EXPORT "${EXPORT_TARGET_NAME}Targets"
+		FILE "${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}Targets.cmake"
+	)
+endif()
 
 configure_package_config_file(ORTPConfig.cmake.in
 	"${CMAKE_CURRENT_BINARY_DIR}/${EXPORT_TARGET_NAME}Config.cmake"
@@ -236,5 +251,5 @@
 	"${CMAKE_CURRENT_SOURCE_DIR}/CHANGELOG.md" 
 	"${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.txt" 
 	"${CMAKE_CURRENT_SOURCE_DIR}/AUTHORS.md" 
-	DESTINATION "${CMAKE_INSTALL_DATADIR}/doc/ortp-${ORTP_DOC_VERSION}"
-)
+	DESTINATION "${CMAKE_INSTALL_DATADIR}/doc/ortp-${ORTP_VERSION}"
+)
