=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 ############################################################################
 # CMakeLists.txt
-# Copyright (C) 2014  Belledonne Communications, Grenoble France
+# Copyright (C) 2010-2021 Belledonne Communications, Grenoble France
 #
 ############################################################################
 #
@@ -37,6 +37,7 @@
 	congestiondetector.c
 	event.c
 	extremum.c
+        fecstream.c
 	jitterctl.c
 	kalmanrls.c
 	logging.c
@@ -50,6 +51,7 @@
 	rtcp_fb.c
 	rtcp_xr.c
 	rtcpparse.c
+	rtpaudiolevel.c
 	rtpparse.c
 	rtpprofile.c
 	rtpsession.c
@@ -77,6 +79,7 @@
 		list(APPEND ORTP_SOURCE_FILES_CXX winrttimer.cpp winrttimer.h)
 		set_source_files_properties(winrttimer.cpp PROPERTIES COMPILE_FLAGS "/ZW /AI\$(WindowsSDK_MetadataPath)")
 	endif()
+	list(APPEND LIBS ws2_32)# symbols for in6addr_any
 endif()
 
 if(WIN32)
@@ -97,7 +100,11 @@
 	set_target_properties(ortp-static PROPERTIES OUTPUT_NAME ortp)
 	set_target_properties(ortp-static PROPERTIES CXX_STANDARD 11 CXX_STANDARD_REQUIRED ON)
 	target_compile_definitions(ortp-static PRIVATE "ORTP_EXPORTS")
-	target_link_libraries(ortp-static INTERFACE ${LIBS})
+	target_include_directories(ortp-static
+		PUBLIC $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+		$<INSTALL_INTERFACE:include>
+	)
+	target_link_libraries(ortp-static PUBLIC bctoolbox INTERFACE ${LIBS})
 	install(TARGETS ortp-static EXPORT ${EXPORT_TARGET_NAME}Targets
 		ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
 		PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
@@ -113,7 +120,7 @@
 		else()
 			set(MIN_OS ${CMAKE_OSX_DEPLOYMENT_TARGET})
 		endif()
-		set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/build/osx/")
+		set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/build/osx/")
 		set_target_properties(ortp PROPERTIES
 			FRAMEWORK TRUE
 			MACOSX_FRAMEWORK_IDENTIFIER org.linphone.ortp
@@ -130,12 +137,13 @@
 	endif()
 	target_compile_definitions(ortp PRIVATE "ORTP_EXPORTS")
 	target_include_directories(ortp
-		INTERFACE $<INSTALL_INTERFACE:include>
+		PUBLIC $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+		$<INSTALL_INTERFACE:include>
 	)
 	target_link_libraries(ortp PUBLIC bctoolbox PRIVATE ${LIBS})
 	if(MSVC)
 		if(CMAKE_BUILD_TYPE STREQUAL "Debug" OR CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
-			install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_BUILD_TYPE}/ortp.pdb
+			install(FILES $<TARGET_PDB_FILE:ortp>
 				DESTINATION ${CMAKE_INSTALL_BINDIR}
 				PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
 			)
